Subject: Re: bug#66098: Crash in itree.c on macOS with incomplete backtrace

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Sep 2023 06:02:05 -0700

Robert Pluim <[email-masked]> writes:

>>>>>> On Fri, 22 Sep 2023 03:58:13 -0700, Stefan Kangas <[email-masked]> said:
>
>     >> Iʼd start by adding '-fsanitize=address' to your CFLAGS.
>
>     Stefan> I tried that, and the crash disappeared.  Nothing has come up so far,
>     Stefan> not even the bug that you found.
>
> Paul installed a fix on master.

I've been running the same commit as before, before that fix.  Sorry for
not being more clear.

I was thinking that maybe asan is disabled or something, but I can see
the asan threads in gdb, and I get asan messages when building.  So I'm
not sure how you could find the issue and I don't.